# ID-FACE matching

```
TEST DATA

image: https://asset.cloudinary.com/dh3i1wodq/a52b7d
```

## Verify User's Identity

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v2/biometrics/merchant/user/id_verification`

This endpoint allows you to verify user's ID card against an image of the user

#### Query Parameters

| Name                                    | Type   | Description                                      |
| --------------------------------------- | ------ | ------------------------------------------------ |
| image<mark style="color:red;">\*</mark> | string | Url of the image of the user's ID card to verify |

#### Headers

| Name                                        | Type   | Description                 |
| ------------------------------------------- | ------ | --------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | \<your merchant secret key> |
| app-id<mark style="color:red;">\*</mark>    | String | \<your app id>              |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": true,
    "response_code": "00",
    "detail": "Authentication Successful",
    "face_data": {
        "status": true,
        "response_code": "00",
        "message": "Fatch Match",
        "confidence": 99.99919891357422
    },
    "data": {
        "face_image": "<base64 image>",
        "email": "",
        "first_name": "",
        "last_name": "",
        "is_active": true
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/biometric/face-1/id-face-matching.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
